# Uses of Class
org.kapott.hbci.sepa.jaxb.camt_052_001_02.BankTransactionCodeStructure4

Packages that use BankTransactionCodeStructure4
Package
Description
org.kapott.hbci.sepa.jaxb.camt_052_001_02

## Uses of BankTransactionCodeStructure4 in org.kapott.hbci.sepa.jaxb.camt_052_001_02

Fields in org.kapott.hbci.sepa.jaxb.camt_052_001_02 declared as BankTransactionCodeStructure4
Modifier and Type
Field
Description
`protected BankTransactionCodeStructure4`
EntryTransaction2.`bkTxCd`
`protected BankTransactionCodeStructure4`
ReportEntry2.`bkTxCd`
`protected BankTransactionCodeStructure4`
TotalsPerBankTransactionCode2.`bkTxCd`
`protected BankTransactionCodeStructure4`
ReturnReasonInformation10.`orgnlBkTxCd`
Methods in org.kapott.hbci.sepa.jaxb.camt_052_001_02 that return BankTransactionCodeStructure4
Modifier and Type
Method
Description
`BankTransactionCodeStructure4`
ObjectFactory.`createBankTransactionCodeStructure4()`
Create an instance of `BankTransactionCodeStructure4`
`BankTransactionCodeStructure4`
EntryTransaction2.`getBkTxCd()`
Gets the value of the bkTxCd property.
`BankTransactionCodeStructure4`
ReportEntry2.`getBkTxCd()`
Gets the value of the bkTxCd property.
`BankTransactionCodeStructure4`
TotalsPerBankTransactionCode2.`getBkTxCd()`
Gets the value of the bkTxCd property.
`BankTransactionCodeStructure4`
ReturnReasonInformation10.`getOrgnlBkTxCd()`
Gets the value of the orgnlBkTxCd property.
Methods in org.kapott.hbci.sepa.jaxb.camt_052_001_02 with parameters of type BankTransactionCodeStructure4
Modifier and Type
Method
Description
`void`
EntryTransaction2.`setBkTxCd(BankTransactionCodeStructure4 value)`
Sets the value of the bkTxCd property.
`void`
ReportEntry2.`setBkTxCd(BankTransactionCodeStructure4 value)`
Sets the value of the bkTxCd property.
`void`
TotalsPerBankTransactionCode2.`setBkTxCd(BankTransactionCodeStructure4 value)`
Sets the value of the bkTxCd property.
`void`
ReturnReasonInformation10.`setOrgnlBkTxCd(BankTransactionCodeStructure4 value)`
Sets the value of the orgnlBkTxCd property.